API Reference

API Reference

The AllServicePros API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

Base URL

All API requests should be made to:

https://api.allservicepros.net/v1

Authentication

The AllServicePros API uses API keys to authenticate requests. You can view and manage your API keys in the Developer Dashboard.

Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

Authentication to the API is performed via HTTP Bearer Auth. Provide your API key as the basic auth username value. You do not need to provide a password.

Authorization: Bearer YOUR_API_KEY

Idempotency

The API supports idempotency for safely retrying requests without accidentally performing the same operation twice. This is useful when an API call fails in transit and you do not receive a response.

To perform an idempotent request, provide an additional Idempotency-Key: <key> header to the request.

Endpoints

Bookings

  • POST /api/v1/bookings/create - Create a new booking
  • GET /api/v1/bookings/:id - Retrieve a booking
  • POST /api/v1/bookings/:id/cancel - Cancel a booking

Professionals

  • GET /api/v1/professionals - List professionals
  • GET /api/v1/professionals/:id - Retrieve a professional
  • GET /api/v1/professionals/:id/availability - Check availability

Reviews

  • GET /api/v1/reviews - List reviews for a professional
  • POST /api/v1/reviews - Submit a new review

OpenAPI Specification

You can download our complete OpenAPI specification here: openapi.json